//Version finale
#include <Wire.h> //Pour la communication I2C
#include <RTClib.h> //librairie DS3231
#include "LedControl.h" //librairie Max7219

RTC_DS3231 RTC;
LedControl lc=LedControl(12,11,10,1);

int min_1 = 0;
int min_5 = 0;
int heu_1 = 0;
int heu_5 = 0;

void setup () {
    Wire.begin();
    RTC.begin();
    RTC.adjust(DateTime(__DATE__, __TIME__));
      
    lc.shutdown(0,false); // réveiller le MAX7219, endormi par défaut
    lc.setIntensity(0,4);
    lc.clearDisplay(0);
    
    DateTime now = RTC.now();
}

void loop () {

    DateTime now = RTC.now();
    min_1 = (now.minute()%5);
    min_5 = (now.minute()/5);
    heu_1 = (now.hour()%5);
    heu_5 = (now.hour()/5);

    for (int i=0; i<heu_5; i++)// les cinq heures
    {
      lc.setLed(0, 0, i, true);
    }


    for (int i=4; i<4+heu_1; i++)// les une heures
    {
      lc.setLed(0, 0, i, true);
    }


    if (min_5 > 0) {  // les huit cinq premières minutes
      for (int i=0; i<min_5 ; i++) {lc.setLed(0, 1, i, true);}
    } 
    else {
      lc.setRow(0,1,B00000000);
    }


    if (min_5 > 8){   // les trois cinq dernières minutes
      for (int i=0; i<-8+min_5 ; i++) {lc.setLed(0, 2, i, true); }
    }
    else {
      for (int i=0; i<3 ; i++) {lc.setLed(0, 2, i, false);}
    }


    if (min_1 > 0) {  //les une minutes
      for (int i=0; i<min_1 ; i++) {lc.setLed(0, 2, 3+i, true);}
    } 
    else {
      for (int i=0; i<4 ; i++) {lc.setLed(0, 2, 3+i, false);}
    }
    
    lc.setLed(0, 2, 7, true);
    delay(1000);
    lc.setLed(0, 2, 7, false);
    delay(1000);
}
